Package org.bukkit.event.block

# Enum Class CauldronLevelChangeEvent.ChangeReason

java.lang.Object
java.lang.Enum<CauldronLevelChangeEvent.ChangeReason>
org.bukkit.event.block.CauldronLevelChangeEvent.ChangeReason

All Implemented Interfaces:
  `Serializable`, `Comparable<CauldronLevelChangeEvent.ChangeReason>`, `Constable`

Enclosing class:
  CauldronLevelChangeEvent

public static enum CauldronLevelChangeEvent.ChangeReason extends Enum<CauldronLevelChangeEvent.ChangeReason>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARMOR_WASH`
Player cleaning their armor.
`BANNER_WASH`
Player cleaning their banner.
`BOTTLE_EMPTY`
Player filling the cauldron by emptying their bottle.
`BOTTLE_FILL`
Player emptying the cauldron by filling their bottle.
`BUCKET_EMPTY`
Player filling the cauldron by emptying their bucket.
`BUCKET_FILL`
Player emptying the cauldron by filling their bucket.
`EVAPORATE`
Evaporating due to biome dryness.
`EXTINGUISH`
Entity being extinguished.
`NATURAL_FILL`
Filling due to natural fluid sources, eg rain or dripstone.
`SHULKER_WASH`
Player cleaning a shulker box.
`UNKNOWN`
Unknown.

## Method Summary

Modifier and Type
Method
Description
`static CauldronLevelChangeEvent.ChangeReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CauldronLevelChangeEvent.ChangeReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BUCKET_FILL

public static final CauldronLevelChangeEvent.ChangeReason BUCKET_FILL
Player emptying the cauldron by filling their bucket.

### BUCKET_EMPTY

public static final CauldronLevelChangeEvent.ChangeReason BUCKET_EMPTY
Player filling the cauldron by emptying their bucket.

### BOTTLE_FILL

public static final CauldronLevelChangeEvent.ChangeReason BOTTLE_FILL
Player emptying the cauldron by filling their bottle.

### BOTTLE_EMPTY

public static final CauldronLevelChangeEvent.ChangeReason BOTTLE_EMPTY
Player filling the cauldron by emptying their bottle.

### BANNER_WASH

public static final CauldronLevelChangeEvent.ChangeReason BANNER_WASH
Player cleaning their banner.

### ARMOR_WASH

public static final CauldronLevelChangeEvent.ChangeReason ARMOR_WASH
Player cleaning their armor.

### SHULKER_WASH

public static final CauldronLevelChangeEvent.ChangeReason SHULKER_WASH
Player cleaning a shulker box.

### EXTINGUISH

public static final CauldronLevelChangeEvent.ChangeReason EXTINGUISH
Entity being extinguished.

### EVAPORATE

public static final CauldronLevelChangeEvent.ChangeReason EVAPORATE
Evaporating due to biome dryness.

### NATURAL_FILL

public static final CauldronLevelChangeEvent.ChangeReason NATURAL_FILL
Filling due to natural fluid sources, eg rain or dripstone.

### UNKNOWN

public static final CauldronLevelChangeEvent.ChangeReason UNKNOWN
Unknown.

## Method Details

### values

public static CauldronLevelChangeEvent.ChangeReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CauldronLevelChangeEvent.ChangeReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null